This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 839071 - Review Request: python-flask-babel - Adds i18n/l10n support to Flask applications
Review Request: python-flask-babel - Adds i18n/l10n support to Flask applicat...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 16:39 EDT by Paulo Andrade
Modified: 2014-10-21 15:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-14 19:45:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
karlthered: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paulo Andrade 2012-07-10 16:39:47 EDT
Spec URL: http://fedorapeople.org/~pcpa/python-flask-babel.spec
SRPM URL: http://fedorapeople.org/~pcpa/python-flask-babel-0.8-1.fc18.src.rpm
Description: Adds i18n/l10n support to Flask applications with the help of the Babel library.
Fedora Account System Username: pcpa
Comment 1 Paulo Andrade 2012-07-10 16:40:42 EDT
This package is required by sagemath 5.2 beta, that I am working on in rawhide.
Comment 2 Haïkel Guémar 2012-08-05 05:36:33 EDT
1. please remove this snippet
CFLAGS="$RPM_OPT_FLAGS"
2. set version checks for dependencies (setup.py may contain such informations)
3. have you considered adding a %check section ? Flask add-ons often have extensive unit tests suite and it is strongly recommand that you run them.
If some fails due to the chroot environment, you may disable them or make the whole suite not fail the build (the output will remain visible in logs so it's still useful).

The same goes for 
https://bugzilla.redhat.com/show_bug.cgi?id=839097
https://bugzilla.redhat.com/show_bug.cgi?id=839097

As soon as the points above will be fixed, i'll run the formal review
Comment 3 Paulo Andrade 2012-08-05 10:37:10 EDT
Many thanks for the comments.
Initially I had adapted the python-flask-*.spec from another
existing python-flask-* in fedora.
I corrected 1 and 3 above, but not sure about 2; from my
understanding it should be already checking versions, but only
of a few components, only versioned ones in setup.py are
        'speaklater>=1.2',
        'Jinja2>=2.5'

Package update:
Spec URL: http://fedorapeople.org/~pcpa/python-flask-babel.spec
SRPM URL: http://fedorapeople.org/~pcpa/python-flask-babel-0.8-2.fc18.src.rpm
Comment 4 Paulo Andrade 2012-08-17 22:36:11 EDT
Can you please review it again now? I probably built
the initial review request too fast, when putting
all bits in place to get a experimental sagemath 5.2
package. But now build has been properly tested under
a clean chroot, instead of only with rpmbuild.

New package:
Spec URL: http://fedorapeople.org/~pcpa/python-flask-babel.spec
SRPM URL: http://fedorapeople.org/~pcpa/python-flask-babel-0.8-3.fc19.src.rpm
Comment 5 Paulo Andrade 2012-09-13 00:57:50 EDT
Ping?
I really would like to speed up this a bit, as only
the pyhton-flask* packages are now preventing to make
a sagemath review request:
https://fedoraproject.org/wiki/SIGs/SciTech/SAGE
Comment 6 Haïkel Guémar 2012-09-13 04:24:38 EDT
doesn't build in mock due to missing BR: python-setuptools
btw, you can ping me by mail or on irc (nick: number80)
Comment 7 Paulo Andrade 2012-09-13 08:59:28 EDT
Weird. I will try again tonight (when I "contribute" to fedora :-) to build in mock (I did confirm it was working for the last package to review). Did you use mock with a rawhide chroot? I need these packages for rawhide or newer (I was hoping to have sagemath for fedora 18, but gave up...)
Comment 8 Paulo Andrade 2012-09-13 19:58:43 EDT
I opened #857266 because it is not passing %check in current rawhide.
Comment 9 Paulo Andrade 2012-09-13 21:03:31 EDT
There was indeed an issue with python-setuptools missing. I think it
may have been added to post f18 branch python-devel, but did not
investigate...

New package:
Spec URL: http://fedorapeople.org/~pcpa/python-flask-babel.spec
SRPM URL: http://fedorapeople.org/~pcpa/python-flask-babel-0.8-4.fc19.src.rpm
Comment 10 Haïkel Guémar 2012-09-14 13:32:16 EDT
Since this package respects Fedora general and python specific guidelines (see formal review below), i hereby approve this package in Fedora Packages Collection.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[-]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (Flask-Babel-0.8.tar.gz)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:

Rpmlint
-------
Checking: python-flask-babel-0.8-4.fc17.noarch.rpm
          python-flask-babel-0.8-4.fc17.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
python-flask-babel-0.8-4.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    python(abi) = 2.7
    python-babel  
    python-flask  
    python-speaklater  
    pytz  

Provides
--------
python-flask-babel-0.8-4.fc17.noarch.rpm:
    
    python-flask-babel = 0.8-4.fc17

MD5-sum check
-------------
http://pypi.python.org/packages/source/F/Flask-Babel/Flask-Babel-0.8.tar.gz :
  CHECKSUM(SHA256) this package     : a255d77910ddfbebc6318c618d9a23cda5d018c86c7e0dea64dc860a16cb3daa
  CHECKSUM(SHA256) upstream package : a255d77910ddfbebc6318c618d9a23cda5d018c86c7e0dea64dc860a16cb3daa


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -m fedora-17-x86_64 -b 839071
External plugins:
Comment 11 Paulo Andrade 2012-09-14 14:03:29 EDT
New Package SCM Request
=======================
Package Name: python-flask-babel
Short Description: Adds i18n/l10n support to Flask applications
Owners: pcpa
Branches: 
InitialCC:
Comment 12 Jon Ciesla 2012-09-14 14:05:44 EDT
Git done (by process-git-requests).
Comment 13 Paulo Andrade 2012-09-14 19:45:18 EDT
python-flask-babel has been built in rawhide.
Comment 14 Paulo Andrade 2012-11-18 08:12:46 EST
Package Change Request
======================
Package Name: python-flask-babel
New Branches: f18
Owners: pcpa
InitialCC: pcpa

It may actually be possible to make a sagemath package
update for f18, and this is one of the few missing
dependencies.
Comment 15 Jon Ciesla 2012-11-18 12:07:48 EST
Git done (by process-git-requests).
Comment 16 Fedora Update System 2012-11-18 13:48:09 EST
python-flask-babel-0.8-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-flask-babel-0.8-4.fc18
Comment 17 Fedora Update System 2012-11-23 02:14:31 EST
python-flask-babel-0.8-4.fc18 has been pushed to the Fedora 18 stable repository.
Comment 18 Paulo Andrade 2013-03-05 14:08:58 EST
Package Change Request
======================
Package Name: python-flask-babel
New Branches: el5 el6

I was asked to add it to epel, and then either maintain
or add an epel comaintainer.
Comment 19 Jon Ciesla 2013-03-06 08:33:29 EST
Misformatted request.
Comment 20 Paulo Andrade 2013-03-06 08:49:13 EST
Package Change Request
======================
Package Name: python-flask-babel
New Branches: el5 el6
Owners: pcpa
InitialCC: pcpa

I was asked to add it to epel, and then either maintain
or add an epel comaintainer.
Sorry for previous misformatted request. Trying again.
Comment 21 Jon Ciesla 2013-03-06 09:22:34 EST
Git done (by process-git-requests).
Comment 22 Jordan OMara 2014-10-21 11:07:47 EDT
Package Change Request
======================
Package Name: python-flask-babel
New Branches: epel7
Owners: pcpa jomara
InitialCC: pcpa

Need to add epel7 branch. Thanks!
Comment 23 Jon Ciesla 2014-10-21 15:32:50 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.